﻿
using ProjectHotel.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectHotel.Entities;

public class Athlete
{
    public int Id { get; set; }
    public string FirstName { get; private set; } = string.Empty;
    public string LastName { get; private set; } = string.Empty;
    public string FatherName { get; private set; } = string.Empty;
    public Sport Sport { get; private set; }
    public AthleteClass AthleteClass { get; private set; }
    public static Athlete CreateEntity(int id, string first, string last, string father, Sport sport, AthleteClass athleteClass)
    {
        return new Athlete
        {
            Id = id,
            FirstName = first ?? string.Empty,
            LastName = last ?? string.Empty,
            FatherName = father ?? string.Empty,
            Sport = sport,
            AthleteClass = athleteClass
            
        };
    }

}
