﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectHotel.Entities;

public class PlacingAthlete
{
    public int Id { get; private set; }
    public int RoomId { get; private set; }
    public DateTime PlacingDate { get; private set; }
    public IEnumerable<AthletePlacingAthlete> AthletePlacingAthletes
    {
        get;
        private set;
    } = [];
    public static PlacingAthlete CreateOpeartion(int id, int roomId, IEnumerable<AthletePlacingAthlete> athletePlacingAthletes)
    {
        return new PlacingAthlete
        {
            Id = id,
            RoomId = roomId,
            PlacingDate = DateTime.Now,
            AthletePlacingAthletes = athletePlacingAthletes
        };
    }

}
