﻿using ProjectHotel.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectHotel.Repositories;

public interface ICleaningRoomRepository
{
    IEnumerable<CleaningRoom> ReadCleaningRooms(int? id = null, int? roomId = null);
    void CreateCleaningRoom(CleaningRoom cleaningRoom);
    CleaningRoom ReadCleaningRoomById(int id);
}
 