﻿using ProjectHotel.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectHotel.Repositories;

public interface IHotelRepository
{
    IEnumerable<Hotel> ReadHotels();
    Hotel ReadHotelById(int id);
    void CreateHotel(Hotel hotel);
    void UpdateHotel(Hotel hotel);
    void DeleteHotel(int id);
}
