﻿using ProjectHotel.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectHotel.Repositories;

public interface IPlacingAthleteRepository
{
    IEnumerable<PlacingAthlete> ReadPlacingAthlete(int? roomId = null, DateTime ? placing = null);
    void CreatePlacingAthlete(PlacingAthlete placingAthlete);
    void DeletePlacingAthlete(int id);
}
